[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible Debian: only check for our packages in testing, as in sid+experimental we're finally using plain Debian now

Holger Levsen holger at layer-acht.org
Mon Nov 7 09:20:41 UTC 2016


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 87221b8712ac311d8180d23af7c3248b280712e4
Author: Holger Levsen <holger at layer-acht.org>
Date:   Mon Nov 7 10:20:20 2016 +0100

    reproducible Debian: only check for our packages in testing, as in sid+experimental we're finally using plain Debian now
---
 bin/reproducible_setup_pbuilder.sh | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

diff --git a/bin/reproducible_setup_pbuilder.sh b/bin/reproducible_setup_pbuilder.sh
index b1b80c0..2eaad08 100755
--- a/bin/reproducible_setup_pbuilder.sh
+++ b/bin/reproducible_setup_pbuilder.sh
@@ -107,13 +107,16 @@ setup_pbuilder() {
 	fi
 	sudo pbuilder --execute $pbuilder_http_proxy --save-after-exec --basetgz /var/cache/pbuilder/${NAME}-new.tgz -- ${TMPFILE} | tee ${LOG}
 	# finally, confirm things are as they should be
-	echo
-	echo "Now let's see whether the correct packages where installed..."
-	for PKG in ${PACKAGES} ; do
-		egrep "http://reproducible.alioth.debian.org/debian(/|) ./ Packages" ${LOG} \
-			| grep -v grep | grep "${PKG} " \
-			|| ( echo ; echo "Package ${PKG} is not installed at all or probably rather not in our version, so removing the chroot and exiting now." ; sudo rm -v /var/cache/pbuilder/${NAME}-new.tgz ; rm $TMPFILE $LOG ; exit 1 )
-	done
+	# (we only have modified dpkg left in testing…)
+	if [ "$SUITE" = "testing" ] ; then
+		echo
+		echo "Now let's see whether the correct packages where installed..."
+		for PKG in ${PACKAGES} ; do
+			egrep "http://reproducible.alioth.debian.org/debian(/|) ./ Packages" ${LOG} \
+				| grep -v grep | grep "${PKG} " \
+				|| ( echo ; echo "Package ${PKG} is not installed at all or probably rather not in our version, so removing the chroot and exiting now." ; sudo rm -v /var/cache/pbuilder/${NAME}-new.tgz ; rm $TMPFILE $LOG ; exit 1 )
+		done
+	fi
 	sudo mv /var/cache/pbuilder/${NAME}-new.tgz /var/cache/pbuilder/${NAME}.tgz
 	# create stamp file to record initial creation date minus some hours so the file will be older than 24h when checked in <24h...
 	touch -d "$(date -u -d '6 hours ago' '+%Y-%m-%d %H:%M')" /var/log/jenkins/${NAME}.tgz.stamp

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list